package rip.tilly.bedwars.game;

import lombok.Getter;
import lombok.Setter;

import java.util.Arrays;
import java.util.List;
import java.util.UUID;

/**
 * Created by Lucanius
 * Project: BedWars
 */
@Getter
@Setter
public class Game {

    private final UUID gameId = UUID.randomUUID();
    private final List<GameTeam> teams;

    public Game(GameTeam... teams) {
        this.teams = Arrays.asList(teams);
    }
}
